import { SmzLayoutsConfig } from '../../modules/smz-layouts/core/globals/smz-layouts.config';
import { SmzLoader } from '../../modules/smz-layouts/core/models/loaders';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiBuilder } from './ui-builder';
export declare class SmzUiLayoutsBuilder extends SmzBuilderUtilities<SmzUiLayoutsBuilder> {
    private _builder;
    protected that: this;
    constructor(_builder: SmzUiBuilder, config: SmzLayoutsConfig);
    setLoader(type: SmzLoader): SmzUiLayoutsBuilder;
    setGlobalLoaderPendingTimeout(timeout: number): SmzUiLayoutsBuilder;
    setTitle(title: string): SmzUiLayoutsBuilder;
    setMessage(message: string): SmzUiLayoutsBuilder;
    get builder(): SmzUiBuilder;
}
